bookkeeper-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From si...@apache.org
Subject bookkeeper git commit: BOOKKEEPER-989: Enable Travis CI for Apache BookKeeper
Date Thu, 01 Jun 2017 20:59:47 GMT
Repository: bookkeeper
Updated Branches:
  refs/heads/master 5c81acacc -> 55d1dc45c


BOOKKEEPER-989: Enable Travis CI for Apache BookKeeper

Author: Sijie Guo <sijie@apache.org>

Reviewers: Enrico Olivelli <eolivelli@gmail.com>, Jia Zhai <None>, Matteo Merli
<mmerli@apache.org>

Closes #168 from sijie/enable_travis_ci


Project: http://git-wip-us.apache.org/repos/asf/bookkeeper/repo
Commit: http://git-wip-us.apache.org/repos/asf/bookkeeper/commit/55d1dc45
Tree: http://git-wip-us.apache.org/repos/asf/bookkeeper/tree/55d1dc45
Diff: http://git-wip-us.apache.org/repos/asf/bookkeeper/diff/55d1dc45

Branch: refs/heads/master
Commit: 55d1dc45c4761f150c59a34b94d21e39e69f872c
Parents: 5c81aca
Author: Sijie Guo <sijie@apache.org>
Authored: Thu Jun 1 13:59:44 2017 -0700
Committer: Sijie Guo <sijie@apache.org>
Committed: Thu Jun 1 13:59:44 2017 -0700

----------------------------------------------------------------------
 .travis.yml    | 43 +++++++++++++++++++++++++++++++++++++++++++
 dev/ticktoc.sh | 44 ++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 87 insertions(+)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/bookkeeper/blob/55d1dc45/.travis.yml
----------------------------------------------------------------------
diff --git a/.travis.yml b/.travis.yml
new file mode 100644
index 0000000..bea17d5
--- /dev/null
+++ b/.travis.yml
@@ -0,0 +1,43 @@
+# Licensed to the Apache Software Foundation (ASF) under one
+# or more contributor license agreements.  See the NOTICE file
+# distributed with this work for additional information
+# regarding copyright ownership.  The ASF licenses this file
+# to you under the Apache License, Version 2.0 (the
+# "License"); you may not use this file except in compliance
+# with the License.  You may obtain a copy of the License at
+#
+#     http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+language: java
+
+# blacklist
+branches:
+  except:
+    - asf-site
+    - gh-pages
+
+matrix:
+  include:
+    - os: osx
+      osx_image: xcode8
+    - os: linux
+      env: CUSTOM_JDK="oraclejdk8"
+
+before_install:
+  - echo "MAVEN_OPTS='-Xmx3072m -XX:MaxPermSize=512m'" > ~/.mavenrc
+  - if [ "$TRAVIS_OS_NAME" == "osx" ]; then export JAVA_HOME=$(/usr/libexec/java_home); fi
+  - if [ "$TRAVIS_OS_NAME" == "linux" ]; then jdk_switcher use "$CUSTOM_JDK"; fi
+
+script:
+  - travis_retry mvn --batch-mode clean apache-rat:check compile findbugs:check
+# Disabled the tests here. Since tests are running much slower on Travis than on Jenkins
+#  - ./dev/ticktoc.sh "mvn --batch-mode clean package"
+
+cache:
+  directories:
+    - $HOME/.m2

http://git-wip-us.apache.org/repos/asf/bookkeeper/blob/55d1dc45/dev/ticktoc.sh
----------------------------------------------------------------------
diff --git a/dev/ticktoc.sh b/dev/ticktoc.sh
new file mode 100755
index 0000000..7903905
--- /dev/null
+++ b/dev/ticktoc.sh
@@ -0,0 +1,44 @@
+#!/usr/bin/env bash
+
+#
+# Licensed to the Apache Software Foundation (ASF) under one or more
+# contributor license agreements.  See the NOTICE file distributed with
+# this work for additional information regarding copyright ownership.
+# The ASF licenses this file to You under the Apache License, Version 2.0
+# (the "License"); you may not use this file except in compliance with
+# the License.  You may obtain a copy of the License at
+#
+#    http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#
+
+# Script from https://github.com/travis-ci/travis-ci/issues/4190
+
+set -e
+set -u
+
+command=$1
+
+# launch command in the background
+${command} &
+
+# ping every second
+seconds=0
+limit=40*60
+while kill -0 $! >/dev/null 2>&1;
+do
+    echo -n -e " \b" # never leave evidence
+
+    if [ $seconds == $limit ]; then
+        break;
+    fi
+
+    seconds=$((seconds + 1))
+
+    sleep 1
+done


Mime
View raw message